<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (19) on Tue Feb 07 17:02:05 WET 2023 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-02-07">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Color.html#MAGENTA" class="member-name-link">MAGENTA</a> - Static variable in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Color.html" title="class in org.academiadecodigo.simplegraphics.graphics">Color</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/pictures/Color.html#MAGENTA" class="member-name-link">MAGENTA</a> - Static variable in class org.academiadecodigo.simplegraphics.pictures.<a href="../org/academiadecodigo/simplegraphics/pictures/Color.html" title="class in org.academiadecodigo.simplegraphics.pictures">Color</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/test/Tester.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class org.academiadecodigo.simplegraphics.test.<a href="../org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a> - Class in <a href="../org/academiadecodigo/simplegraphics/mouse/package-summary.html">org.academiadecodigo.simplegraphics.mouse</a></dt>
<dd>
<div class="block">Instantiate a Mouse for obtaining mouse handling capability</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#%3Cinit%3E(org.academiadecodigo.simplegraphics.mouse.MouseHandler)" class="member-name-link">Mouse(MouseHandler)</a> - Constructor for class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseClicked(java.awt.event.MouseEvent)" class="member-name-link">mouseClicked(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseHandler.html#mouseClicked(org.academiadecodigo.simplegraphics.mouse.MouseEvent)" class="member-name-link">mouseClicked(MouseEvent)</a> - Method in interface org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/test/Tester.html#mouseClicked(org.academiadecodigo.simplegraphics.mouse.MouseEvent)" class="member-name-link">mouseClicked(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.test.<a href="../org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseDragged(java.awt.event.MouseEvent)" class="member-name-link">mouseDragged(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseEntered(java.awt.event.MouseEvent)" class="member-name-link">mouseEntered(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a> - Class in <a href="../org/academiadecodigo/simplegraphics/mouse/package-summary.html">org.academiadecodigo.simplegraphics.mouse</a></dt>
<dd>
<div class="block">Mouse Click event containing x and y coordinates</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html#%3Cinit%3E(double,double)" class="member-name-link">MouseEvent(double, double)</a> - Constructor for class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseExited(java.awt.event.MouseEvent)" class="member-name-link">mouseExited(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a> - Interface in <a href="../org/academiadecodigo/simplegraphics/mouse/package-summary.html">org.academiadecodigo.simplegraphics.mouse</a></dt>
<dd>
<div class="block">Interface to be implemented by all classes that want to receive mouse events</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseMoved(java.awt.event.MouseEvent)" class="member-name-link">mouseMoved(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseHandler.html#mouseMoved(org.academiadecodigo.simplegraphics.mouse.MouseEvent)" class="member-name-link">mouseMoved(MouseEvent)</a> - Method in interface org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/test/Tester.html#mouseMoved(org.academiadecodigo.simplegraphics.mouse.MouseEvent)" class="member-name-link">mouseMoved(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.test.<a href="../org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mousePressed(java.awt.event.MouseEvent)" class="member-name-link">mousePressed(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html#mouseReleased(java.awt.event.MouseEvent)" class="member-name-link">mouseReleased(MouseEvent)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Movable.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a> - Interface in <a href="../org/academiadecodigo/simplegraphics/graphics/package-summary.html">org.academiadecodigo.simplegraphics.graphics</a></dt>
<dd>
<div class="block">Methods for moving a shape</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
